# Class TableVisualizer.SampleSuccessFunctor

java.lang.Object
org.apache.jorphan.reflect.Functor
org.apache.jmeter.visualizers.TableVisualizer.SampleSuccessFunctor

Enclosing class:
  `TableVisualizer`

public static class TableVisualizer.SampleSuccessFunctor extends Functor

## Constructor Summary

Constructors
Constructor
Description
`SampleSuccessFunctor(String methodName)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object p_invokee)`
Invoke the method on a given object.

### Methods inherited from class Functor

`checkMethod, checkMethod, invoke, invoke, invoke, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SampleSuccessFunctor

public SampleSuccessFunctor(String methodName)

## Method Details

### invoke

public Object invoke(Object p_invokee)
Description copied from class: `Functor`
Invoke the method on a given object.

Overrides:
  `invoke` in class `Functor`
Parameters:
  `p_invokee` - - provides the object to call; ignored if the class or object were provided to the constructor
Returns:
  the value